Skip to main content
GET
https://{tenantDomain}/api/v2
/
users
/
{id}
/
effective-permissions
Lists the permissions assigned to a user directly or through roles or groups.
curl --request GET \
  --url https://{tenantDomain}/api/v2/users/{id}/effective-permissions \
  --header 'Authorization: Bearer <token>'
{
  "permissions": [
    {
      "resource_server_identifier": "<string>",
      "permission_name": "<string>",
      "resource_server_name": "<string>",
      "description": "<string>",
      "sources": [
        "direct"
      ]
    }
  ],
  "next": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://auth0-feat-docs-5498.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to retrieve the permissions for.

Query Parameters

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Required range: x >= 1
resource_server_identifier
string
required

The identifier of the resource server for which to calculate user permissions.

Required string length: 1 - 600

Response

User's effective permissions successfully retrieved.

permissions
object[]
required

List of permissions assigned to the user.

next
string

A cursor to be used as the "from" query parameter for the next page of results.